org.eclipse.viatra.query.patternlanguage.emf

## Class EMFPatternLanguageStandaloneSetup

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneSetupGenerated
  - - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneSetup

- All Implemented Interfaces:
    org.eclipse.xtext.ISetup
  Direct Known Subclasses:
    EMFPatternLanguageStandaloneCompilerSetup

      public class EMFPatternLanguageStandaloneSetup
      extends EMFPatternLanguageStandaloneSetupGenerated
      implements org.eclipse.xtext.ISetup

  Initialization support for running Xtext languages without equinox extension registry

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EMFPatternLanguageStandaloneSetup.StandaloneParserModule` Module implementation that is optimized for headless parsing, e.g.
    `static class` | `EMFPatternLanguageStandaloneSetup.StandaloneParserWithSeparateModules` Module implementation that is used for headless parsing by `PatternParser`, where separate parse calls should be considered independent without recreating the the pattern parser instance.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageStandaloneSetup()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.inject.Injector` | `createStandaloneInjector()` Initializes an injector recommended for standalone parsing.
    `com.google.inject.Injector` | `createStandaloneInjectorWithSeparateModules()` Initializes an injector recommended for standalone parsing using the `EMFPatternLanguageStandaloneSetup.StandaloneParserWithSeparateModules` module.
    `static void` | `doSetup()`
    `void` | `register(com.google.inject.Injector injector)`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneSetupGenerated

      `createInjector, createInjectorAndDoEMFRegistration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.xtext.ISetup

      `createInjectorAndDoEMFRegistration`

- - ### Constructor Detail

    - #### EMFPatternLanguageStandaloneSetup

          public EMFPatternLanguageStandaloneSetup()

  - ### Method Detail

    - #### doSetup

          public static void doSetup()

    - #### createStandaloneInjector

          public com.google.inject.Injector createStandaloneInjector()

      Initializes an injector recommended for standalone parsing. Warning: In each Java application, at most one of the following methods should be called to avoid corrupting the EMF registries:
      - `EMFPatternLanguageStandaloneSetupGenerated.createInjector()`,
      - `EMFPatternLanguageStandaloneSetupGenerated.createInjectorAndDoEMFRegistration()`,
      - `createStandaloneInjector()`,
      - `createStandaloneInjectorWithSeparateModules()`
      Since:
        2.0

    - #### createStandaloneInjectorWithSeparateModules

          public com.google.inject.Injector createStandaloneInjectorWithSeparateModules()

      Initializes an injector recommended for standalone parsing using the `EMFPatternLanguageStandaloneSetup.StandaloneParserWithSeparateModules` module. Note: Instead of this rely on `createStandaloneInjector()` instead, unless recreating the pattern parser is really expensive. Warning: In each Java application, at most one of the following methods should be called to avoid corrupting the EMF registries:
      - `EMFPatternLanguageStandaloneSetupGenerated.createInjector()`,
      - `EMFPatternLanguageStandaloneSetupGenerated.createInjectorAndDoEMFRegistration()`,
      - `createStandaloneInjector()`,
      - `createStandaloneInjectorWithSeparateModules()`
      Since:
        2.0

    - #### register

          public void register(com.google.inject.Injector injector)

      Overrides:
        `register` in class `EMFPatternLanguageStandaloneSetupGenerated`